Add a Git tag

POST https://{controlplane_path}/api/1/rest/public/apim/git-tag/{path_to_apiversion}      

This API associates the specified Git tag with the commit that is currently tracked by the API version.

Prerequisites

  • Write access to the project
  • Git hosting provider requirements:
    • The environment (Org) must be correctly configured to use a Git hosting provider supported by SnapLogic.
    • The user must have an authenticated account with the Git hosting provider.
    • The project has checked out a Git repository.

    Learn more: SnapLogic - Git Integration

Limitations

  • You cannot use SnapLogic service accounts to call any of the SnapLogic API Management Git operation APIs.

Path parameters

Key Description
controlplane_path Required. The path to the SnapLogic control plane: elastic.snaplogic.com
For the UAT or EMEA control plane, substitute the name for elastic. For example:
  • uat.elastic.snaplogic.com
  • emea.snaplogic.com
path_to_apiversion Required. The path to the SnapLogic API version.

Format: /org_name/apim/api/apiversion

Important: The path comparison is case-sensitive.

Query parameters

None.

Request header

In the request header, specify Basic for authorization, add your credentials (Login and password of your SnapLogic user or service account), and specify application/json for content type. For more details on accounts refer to Manage accounts.


Authorization: Basic {base64_encoded <email>:<password>}
Content-Type: application/json
          

Example of Basic authentication using Postman

When using JWT authentication, the API requests includes specific headers. In the request header, specify Bearer Token for authorization, add the token, and specify application/json for content type. These headers are automatically added when you configure bearer token authentication in your API client. The authorization header contains the word Bearer followed by a space and your JWT token.


Authorization: Bearer Token {token}
Content-Type: application/json
          

Example of JWT authenthication using Postman

Request body

{
  "tag" : "...",
  "message" : "..."
 }
        
Key Type Description
tag string The Git tag to associate with the latest files in the Git repository.
message string Additional information about the added tag.

Response

{
    "response_map": {
        "tag": "Apiversion_tag",
        "message": "Tag created via public api",
        "tag_sha": "ae90e20f77221ccc325a98c02ec064caf2f62307",
        "commit_sha": "4dd92e750bd4d9be305c3d94479bc50bf853dfc5",
        "tagger": "abc@xyz.com"
    },
    "http_status_code": 200
}    
Key Type Description
tag string The specified git tag.
message string The message related to git tag.
tag_sha string The unique ID of the tag when created.
commit_sha string The unique ID of the commit.
tagger string Email ID of the tagger.

Error handling

{
    "http_status_code": 409,
    "response_map": {
        "error_list": [
            {
                "message": "Tag API version already exists for repo"
            }
        ]
    }
}
HTTP status codes Status Description Resolution
409 Conflict This response is sent when a request conflicts with existing git tag. Change the name of the git tag or delete the existing git tag.